FROM python:3.10.1-slim-bullseye
RUN mkdir -p "/home/opt/lcc-b6"
RUN apt update &&apt install curl -y
RUN curl -fsSL https://deb.nodesource.com/setup_18.x |  bash -
RUN apt install nodejs
COPY src/ /home/opt/lcc-b6
WORKDIR /home/opt/lcc-b6/
RUN apt install -y make g++
RUN cd /home/opt/lcc-b6/ && npm i
RUN pip3 install requests loguru curl_cffi tls_client pyquery nacos-sdk-python pyyaml pymongo

CMD ["python3", "jetblue.py"]



